Bug 125016 - Hangs on startup after initialising 8250 on PowerMac
Summary: Hangs on startup after initialising 8250 on PowerMac
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-02 08:39 UTC by Alex Kiernan
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 08:04:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Kiernan 2004-06-02 08:39:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
The supplied kernel config for the mac compiles in 8250 serial
support, on the machine I'm using (an early blue & white G4), this
causes the kernel to hang 9 times out of 10 just after it logs the
8250 startup line. Changing kernel-2.6.6-ppc.config to use:

CONFIG_SERIAL_8250=m

fixes the problem, but obviously stops use of any such device as a
boot time console (are there any such Macs?)

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.406

How reproducible:
Sometimes

Steps to Reproduce:
1. Hangs on boot
2.
3.
    

Additional info:

Comment 1 Alex Kiernan 2004-08-11 08:04:20 UTC
Seems to have fixed itself in later kernels


Note You need to log in before you can comment on or make changes to this bug.